
#####################################################################################
quit -sim

vlib work  

#mapping work library to current directory
#vmap [-help] [-c] [-del] [<logical_name>] [<path>]
vmap work  


#####################################################################################
#-work <path>       Specify library WORK
#-vlog01compat      Ensure compatibility with Std 1364-2001
#-incr              Enable incremental compilation
#"rtl/*.v"          rtl directory all .v files, support relative path, need to add ""
#vlog

vlog -novopt ../../project/src/scaler/scaler.vo

#testbench
vlog -novopt ../../tb/*.v
vlog -novopt ../../tb/config/*.v
vlog -novopt ../../tb/driver/*.v
vlog -novopt ../../tb/monitor/*.v
vlog -novopt ../../tb/syn_code/*.v

vlog -novopt ../../tb/frame_buffer/vfb_sram_top.vo

vlog -novopt ../../tb/sram_model/sram_model.v


#complie all .vhd files
#-work <path>       Specify library WORK
#-93                Enable support for VHDL 1076-1993
#-2002              Enable support for VHDL 1076-2002
#vcom


#####################################################################################
#-L <libname>                     Search library for design units instantiated from Verilog and for VHDL default component binding
#+nowarn<CODE | Number>           Disable specified warning message  (Example: +nowarnTFMPC)                      
#-t [1|10|100]fs|ps|ns|us|ms|sec  Time resolution limit VHDL default: resolution setting from .ini file) 
#                                 (Verilog default: minimum time_precision in the design)
#-novopt                          Force incremental mode (pre-6.0 behavior)
vsim +nowarnTFMPC -L work  -novopt -l tb.log work.tb 

#generate wave log format(WLF)......
log -r /*


#####################################################################################
#open wave window
view wave

#add simulation singals
onerror {resume}
quietly WaveActivateNextPane {} 0

add wave -noupdate -divider {input paramters}
add wave -noupdate -radix ascii       /tb/BMP_VIDEO_FORMAT   
add wave -noupdate                    /tb/BMP_PIXEL_CLK_FREQ 
add wave -noupdate -radix unsigned    /tb/BMP_WIDTH      
add wave -noupdate -radix unsigned    /tb/BMP_HEIGHT     
add wave -noupdate -radix ascii       /tb/BMP_OPENED_NAME
add wave -noupdate -radix unsigned    /tb/BMP_REPEAT      
add wave -noupdate -radix unsigned    /tb/BMP_LINK 
                                                      
add wave -noupdate -divider {output paramters}        
add wave -noupdate -radix ascii       /tb/BMP_OUT_VIDEO_FORMAT  
add wave -noupdate -radix unsigned    /tb/BMP_OUTPUTED_WIDTH   
add wave -noupdate -radix unsigned    /tb/BMP_OUTPUTED_HEIGHT  
add wave -noupdate -radix ascii       /tb/BMP_OUTPUTED_NAME 
add wave -noupdate -radix unsigned    /tb/BMP_OUTPUTED_NUMBER   
                                                      
add wave -noupdate -divider {scaler paramters} 
add wave -noupdate                    /tb/SCALER_CLK_FREQ

add wave -noupdate -divider {driver_inst output}
add wave -noupdate                    /tb/rst_n
add wave -noupdate                    /tb/pixel_clock
add wave -noupdate                    /tb/vsync
add wave -noupdate                    /tb/hsync
add wave -noupdate                    /tb/data_valid
add wave -noupdate -radix hexadecimal /tb/data0_r
add wave -noupdate -radix hexadecimal /tb/data0_g
add wave -noupdate -radix hexadecimal /tb/data0_b
add wave -noupdate -radix unsigned    /tb/driver_inst/u_video_gen/u_video_gen_syn/Vs_cnt
add wave -noupdate -radix unsigned    /tb/driver_inst/u_video_gen/u_video_gen_syn/Hs_cnt

add wave -noupdate -divider {frame buffer input signals} 
add wave -noupdate                    /tb/sram_clk 
add wave -noupdate                    /tb/vfb_clk_in  
add wave -noupdate                    /tb/vfb_vs_in   
add wave -noupdate                    /tb/vfb_de_in  
add wave -noupdate -radix hexadecimal /tb/vfb_data_in 

add wave -noupdate -divider {DUT dut_scaler output}
add wave -noupdate -radix unsigned    /tb/vin_hor_size
add wave -noupdate -radix unsigned    /tb/vin_ver_size
add wave -noupdate -radix unsigned    /tb/vout_hor_size
add wave -noupdate -radix unsigned    /tb/vout_ver_size
add wave -noupdate -radix hexadecimal /tb/h_shrink_factor
add wave -noupdate -radix hexadecimal /tb/v_shrink_factor
add wave -noupdate                    /tb/param_update_i
add wave -noupdate                    /tb/scaler_clk
add wave -noupdate                    /tb/scl_vs_req  
add wave -noupdate                    /tb/scl_de_req
add wave -noupdate                    /tb/buf_fstline_rdy
add wave -noupdate                    /tb/dma_de 
add wave -noupdate -radix hexadecimal /tb/dma_data 
add wave -noupdate                    /tb/sclout_vs  
add wave -noupdate                    /tb/sclout_de  
add wave -noupdate -radix hexadecimal /tb/sclout_data

add wave -noupdate -divider {output channel signals}
add wave -noupdate                    /tb/rd_gen        
add wave -noupdate                    /tb/syn_off0_vs   
add wave -noupdate                    /tb/syn_off0_hs 
add wave -noupdate                    /tb/syn_off0_re  

add wave -noupdate -divider {monitor input}
add wave -noupdate                    /tb/m_clk
add wave -noupdate                    /tb/m_vs_rgb
add wave -noupdate                    /tb/m_hs_rgb
add wave -noupdate                    /tb/m_de_rgb
add wave -noupdate -radix hexadecimal /tb/m_data0_r
add wave -noupdate -radix hexadecimal /tb/m_data0_g
add wave -noupdate -radix hexadecimal /tb/m_data0_b

add wave -noupdate -divider {monitor signal}
add wave -noupdate -radix unsigned    /tb/monitor_inst/u_video2bmp/bmp_outputed_number
add wave -noupdate                    /tb/monitor_inst/u_video2bmp/vs_i_fall

add wave -noupdate -divider {End signal}

TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {912366093 ps} 0}
configure wave -namecolwidth 150
configure wave -valuecolwidth 100
update
WaveRestoreZoom {891247063 ps} {925431255 ps}


#####################################################################################
#set run time
run  -all





